# UniTAP.dev.ports.modules.link.hdmi.tmds_rx

class TmdsRx:

CLass `TmdsRx` allows working with TMDS on Sink (RX - receiver) side.

- Get link mode `link_mode`.
- Get clock rate `clock_rate`.
- Get input stream lock state `input_stream_lock`.

TmdsRx(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
clock_rate: int

Returns current clock rate.

###### Returns:

> object of int type

link_mode: UniTAP.dev.ports.modules.link.hdmi.types.LinkMode

Returns current link mode.

###### Returns:

> object of `LinkMode` type

input_stream_lock: bool

Returns current state of input stream lock.

###### Returns:

> object of bool type